import React, {Component} from "react";

import VehicleName from "./VehicleInformation/VehicleName";
import VehicleImage from "./VehicleInformation/VehicleImage";
import Registration from "./VehicleInformation/Registration";
import VehicleDetails from "./VehicleInformation/VehicleDetails";
import ServiceHistory from "./VehicleInformation/ServiceHistory";
import FuelPurchases from "./FuelPurchases";

export default class VehicleInformation extends Component {

    render() {
        return (

            <div className="grow flex flex-col item-center p-4">
                <VehicleName selectedVehicleId={this.props.selectedVehicle} />

                <div className="flex flex-row mt-4">
                    <VehicleImage selectedVehicleId={this.props.selectedVehicle} />
                    <div className="ml-4 flex flex-row justify-between grow">
                        <VehicleDetails selectedVehicleId={this.props.selectedVehicle} />
                        <Registration selectedVehicleId={this.props.selectedVehicle} />
                    </div>
                </div>

                <FuelPurchases selectedVehicleId={this.props.selectedVehicle} />
                <ServiceHistory selectedVehicleId={this.props.selectedVehicle} />
                
            </div>
        )
    }
}

