import { faChevronUp, faChevronDown } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import React, {Component} from "react";

export default class ServiceHistory extends Component {

    constructor(props){
        super()

        this.state = {
            expanded: false
        }
    }

    toggleExpanded = () => {
        this.setState({
            expanded: !this.state.expanded
        })
    }

    render() {

        return (
            <>
                <div className="bg-gray-400 flex flex-row border mt-4 px-3 py-1 items-center justify-between">
                    <div className="text-xl">Service History</div>
                    
                    <div className="flex flex-row items-center">
                        <div className="mr-2 px-2 py-1 rounded bg-green-400 hover:cursor-pointer">Add</div>
                        <div className="hover:cursor-pointer" onClick={this.toggleExpanded}>
                            {
                                (this.state.expanded)
                                ? <FontAwesomeIcon icon={faChevronUp} />
                                : <FontAwesomeIcon icon={faChevronDown} />
                            }
                        </div>
                    </div>
                </div>
                {
                    (this.state.expanded)
                    ? <div className="flex flex-col border-l border-r">Service History</div>
                    : null
                }
            </>
        )
    }
}