import React, { Component } from "react"
import Loading from "../../Informational-Components/Loading"
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome"
import { faPenToSquare, faSave } from "@fortawesome/free-solid-svg-icons"

import { Tooltip } from "react-tooltip"

export default class VehicleName extends Component {
    constructor(props) {
        super(props)

        this.state = {
            vehicleName: 'Temp Vehicle Name',
            vehicleNameEdit: '',
            loading: false,
            editing: false
        }
    }

    editVehicleName = () => {
        this.setState({
            vehicleNameEdit: this.state.vehicleName, 
            editing: true
        })
    }

    updateVehicleName = (event) => {
        this.setState({
            vehicleNameEdit: event.target.value
        })
    }

    saveVehicleNameChange = () => {
        this.setState({
            loading: true
        }, () => this.setState({
            vehicleName: this.state.vehicleNameEdit,
            editing: false
        }, () => {
            this.setState({
                loading: false
            })
        }))
        
    }

    render() {
        return (
            <div className="w-full flex flex-row justify-center text-xl">
                {
                    (this.state.loading)
                     ? <Loading />
                     : (this.state.editing)
                        ? <div className="flex flex-row items-center">
                            <input className="px-2 border" type="text" value={this.state.vehicleNameEdit} onChange={this.updateVehicleName}/>
                            <div id="save" className="pl-2 cursor-pointer" onClick={this.saveVehicleNameChange}><FontAwesomeIcon icon={faSave} /></div>
                            <Tooltip anchorSelect="#save" place="bottom">Save changes</Tooltip>
                          </div>
                        : <div className="flex items-center">
                            {this.state.vehicleName}
                            <div id="edit" className="pl-2 hover:cursor-pointer" onClick={this.editVehicleName}>
                                <FontAwesomeIcon icon={faPenToSquare} />
                                <Tooltip anchorSelect="#edit" place="bottom">Edit vehicle name</Tooltip>
                            </div>
                          </div>
                }
                
                
            </div>
        )
    }
}