import { Component } from "react";
import Header from "./FleetManager-Components/Header";
import Sidebar from "./FleetManager-Components/Sidebar";
import VehicleInformation from "./FleetManager-Components/VehicleInformation";

export default class FleetManager extends Component {
    constructor(props) {
        super(props)

        this.state = {
            companyVehicles: [
                {id: 1, name: "1"}, {id: 2, name: "2"}, {id: 3, name: "3"}, {id: 4, name: "4"}, {id: 5, name: "5"}
            ], 
            selectedVehicle: 3
        }
    }

    updateSelectedVehicle = (selected) => {
        this.setState({
            selectedVehicle: selected
        })
    }

    render () {
        return (
            <div className="w-full min-h-screen flex flex-col">
                <Header user={this.props.user} />
                <div className="grow flex flex-row">
                    <Sidebar companyVehicles={this.state.companyVehicles} selectedVehicle={this.state.selectedVehicle} selectVehicle={this.updateSelectedVehicle}/>
                    <VehicleInformation selectedVehicle={this.state.selectedVehicle} />
                </div>
            </div>
        )
    }
    
}